classification
Title: ZIP files with archive comments longer than 4k not recognized as valid by zipfile module
Type: behavior Stage:
Components: Library (Lib) Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: alanmcintyre, jcea, loewis
Priority: normal Keywords:

Created on 2008-01-06 22:40 by alanmcintyre, last changed 2008-07-03 12:54 by loewis. This issue is now closed.

Messages (3)
msg59411 - (view) Author: Alan McIntyre (alanmcintyre) * (Python committer) Date: 2008-01-06 22:40
The current behavior of zipfile._EndRecData is to look in the last 4k of
data in a file if it appears it might have an archive comment; this
results in flagging proper ZIP files with comments longer than ~4074
bytes as "not a ZIP file."

I plan on posting a patch for this later, but figured this should be
documented in case I don't get around to it.
msg59805 - (view) Author: Alan McIntyre (alanmcintyre) * (Python committer) Date: 2008-01-12 10:15
A fix for this is included in the patch for issue 1622.
msg69196 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-07-03 12:54
The patch in #1622 was committed as r64688.
History
Date User Action Args
2008-07-03 12:54:21loewissetnosy: + loewis
resolution: duplicate -> fixed
messages: + msg69196
2008-03-18 02:45:26jafosetstatus: open -> closed
priority: normal
resolution: duplicate
2008-01-16 02:36:40jceasetnosy: + jcea
2008-01-12 10:15:00alanmcintyresetmessages: + msg59805
2008-01-06 22:40:16alanmcintyrecreate